puppet cert --list doesn't work
Description

foreman-proxy uses the following command to list certs:

command = "#{@sudo} -S #{@puppetca} --list --all"

 Using puppet 2.7.5

hostname:/usr/share/foreman-proxy # puppet cert --list --all

Could not parse options: wrong number of arguments (1 for 0)

hostname:/usr/share/foreman-proxy # puppet cert --trace --list --all

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application/cert.rb:42:in `block (2 levels) in <class

:Cert>'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:357:in `block (2 levels) in parse_opti

ons'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1277:in `call'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1277:in `block in parse_in_order'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1264:in `catch'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1264:in `parse_in_order'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1258:in `order!'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1349:in `permute!'

/usr/local/lib64/ruby/1.9.1/optparse.rb:1370:in `parse!'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:364:in `parse_options'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application/cert.rb:216:in `parse_options'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:302:in `block (2 levels) in run'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:410:in `hook'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:302:in `block in run'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:401:in `exit_on_fail'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/application.rb:302:in `run'

/usr/local/lib64/ruby/site_ruby/1.9.1/puppet/util/command_line.rb:69:in `execute'

/usr/local/bin/puppet:4:in `<main>'

Could not parse options: wrong number of arguments (1 for 0)

 Using the list subcommand instead seems to work:

puppet cert list --all

History

#1 - 12/06/2011 12:34 PM - Florian Koch

Hi,

hm with

[root@foreman-proxy yum.repos.d]# rpm -qi puppet
Name        : puppet                       Relocations: (not relocatable)

Version     : 2.7.5                             Vendor: (none)

Release     : 1.el6                         Build Date: Fri 30 Sep 2011 11:25:10 PM CEST

Install Date: Tue 06 Dec 2011 06:31:35 PM CET      Build Host: rpm-builder.puppetlabs.lan

Group       : System Environment/Base       Source RPM: puppet-2.7.5-1.el6.src.rpm

Size        : 2892208                          License: ASL 2.0

Signature   : RSA/SHA1, Sat 01 Oct 2011 01:04:12 AM CEST, Key ID 1054b7a24bd6ec30

URL         : http://puppetlabs.com

Summary     : A network tool for managing many disparate systems

 i have no problem, both

puppet cert list --all

 and

puppet cert --list --all

 works as expected

#2 - 12/06/2011 02:26 PM - Jacob McCann

OK, I'll look into this a little more.  I'm using ruby 1.9.2 so maybe it has something to do with that.

#3 - 12/20/2011 07:03 AM - Ohad Levy

- Status changed from New to Need more information

#4 - 12/20/2011 09:56 AM - Jacob McCann

This is a puppet bug with ruby 1.9.2 support ... http://projects.puppetlabs.com/issues/7428

I've taken the fix they will be implementing and its working fine now.

So this wasn't a bug with smart-proxy and this can be closed/rejected.

Thanks!

#5 - 07/05/2012 04:42 AM - Ohad Levy

- Status changed from Need more information to Resolved
